<div class="row">
    <div class="col-lg-12">
      <div class="ibox float-e-margins">
        <div class="ibox-title">
          <h3>
            <strong>Add Services</strong>
          </h3>
        </div>
        <div class="ibox-content">
          <form (ngSubmit)="onSubmit(f)" autocomplete="off" #f="ngForm" class="form-horizontal">
  
            <div class="form-group">
              <label class="col-sm-2 control-label">Name<i aria-hidden="true" class="mandatory">*</i> </label>
              <div class="col-sm-10 form-input">
                <input type="text" name="name" pattern = "[A-Za-z\s\()]+" placeholder=" Name" #name="ngModel" [(ngModel)]="serviceGroup.name" class="form-control" required maxlength="20">
                <div  class="error-msg" *ngIf="name.invalid  && (name.dirty || name.touched || f.submitted)">
                  <div *ngIf="name.errors.required">Name is required.</div>
                  <div *ngIf="name.errors.pattern" >
                      Only alphabets are allowed.
                    </div>
                </div>
              </div>
            </div>
  
            <div class="form-group">
              <label class="col-sm-2 control-label">Service type<i aria-hidden="true" class="mandatory">*</i></label>
              <div class="col-sm-10 form-input">
                <mat-select class="form-control" placeholder="Service type" name="service_type" #service_type="ngModel" [(ngModel)]="serviceGroup.service_type" class="form-control"
                  required>
                  <mat-option value="VEHICLE">VEHICLE</mat-option>
                  <mat-option value="DRIVER">DRIVER</mat-option>
                </mat-select>
                <div class="error-msg" *ngIf="service_type.invalid && (service_type.dirty || service_type.touched || f.submitted)" >
                  <div *ngIf="service_type.errors.required ">Service type is required.</div>
                </div>
              </div>
            </div>
  
            <div class="form-group">
              <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-primary" type="submit">Save</button>
                <button class="btn btn-white" [routerLink]="['/admin/fleet/servicegroup']">Cancel</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>